<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>htmlStandardFormatter (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/formatters/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/formatters/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/formatters/htmlstandardformatter.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Formatters\htmlStandardFormatter</div>
<a href="../../source/formatters/htmlstandardformatter.php.html#line10" class="location">formatters/htmlStandardFormatter.php at line 10</a>

<h1>Class htmlStandardFormatter</h1>

<pre class="tree"><a href="../../phpdoctor/formatters/textformatter.html">TextFormatter</a><br>    └─<strong>htmlStandardFormatter</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>htmlStandardFormatter</strong><br>extends <a href="../../phpdoctor/formatters/textformatter.html">TextFormatter</a>

</p>

<div class="comment" id="overview_description"><p>The standard formatter. Basic implementation, just deals with unordered lists for now.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#toFormattedText()">toFormattedText</a>(str text)</p><p class="description">Returns the text with all recognized formatting directives applied. </p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Formatters\TextFormatter</th></tr>
<tr><td><a href="../../phpdoctor/formatters/textformatter.html#toFormattedText()">toFormattedText</a>, <a href="../../phpdoctor/formatters/textformatter.html#toPlainText()">toPlainText</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../source/formatters/htmlstandardformatter.php.html#line13" class="location">formatters/htmlStandardFormatter.php at line 13</a>

<h3 id="toFormattedText()">toFormattedText</h3>
<code class="signature">public  str <strong>toFormattedText</strong>(str text)</code>
<div class="details">
<p>Returns the text with all recognized formatting directives applied. Meaningful
implementations are provided by subclasses.</p><dl>
<dt>Parameters:</dt>
<dd>text - the raw input</dd>
</dl>
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/formatters/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/formatters/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/formatters/htmlstandardformatter.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>